Commit in SimDist/scripts on MAIN
install-libs.sh.in+12-31.1 -> 1.2


SimDist/scripts
install-libs.sh.in 1.1 -> 1.2
diff -u -r1.1 -r1.2
--- install-libs.sh.in	29 Jun 2011 21:38:22 -0000	1.1
+++ install-libs.sh.in	30 Jun 2011 00:37:00 -0000	1.2
@@ -34,17 +34,24 @@
 # make it fully qualified
 SIM_HOME=`cd "$SIM_HOME" && pwd`
 
-# Setup copy dir.
+# Set copy dir.
 if [ -z "${1}" ]; then
   COPY_DIR=${SIM_HOME}/lib
 else
   COPY_DIR=${1}
 fi
 
+# Create copy dir if doesn't exist.
 if [ ! -d "${COPY_DIR}" ]; then
   mkdir -p ${COPY_DIR}
 fi
 
+# Check for COPY_DIR in case mkdir failed.
+if [ ! -d "${COPY_DIR}" ]; then
+  echo "The dir $COPY_DIR does not exist!"
+  exit 1  
+fi
+
 # Figure out library paths for deps based on relative SimDist path.
 CLHEP_LIB_DIR=${SIM_HOME}/packages/clhep/@CLHEP_VERSION@/lib
 G4_LIB_DIR=${SIM_HOME}/packages/geant4/@GEANT4_VERSION@/lib/@G4SYSTEM@
@@ -58,7 +65,9 @@
 
 echo "Copying shared libraries to $COPY_DIR ..."
 
-cp ${CLHEP_LIB_DIR}/*.so ${G4_LIB_DIR}/*.so* ${GDML_LIB_DIR}/*.so* ${XERCES_LIB_DIR}/*.so* ${LCIO_LIB_DIR}/*.so* ${LCDD_LIB_DIR}/*.so* ${HEPPDT_LIB_DIR}/*.so* ${HEPPID_LIB_DIR}/*.so* ${SLIC_LIB_DIR}/*.so* ${COPY_DIR}
+# Copy libs using wildcard pattern (good enough).
+cp ${CLHEP_LIB_DIR}/*.so* ${G4_LIB_DIR}/*.so* ${GDML_LIB_DIR}/*.so* ${XERCES_LIB_DIR}/*.so* ${LCIO_LIB_DIR}/*.so* ${LCDD_LIB_DIR}/*.so* ${HEPPDT_LIB_DIR}/*.so* ${HEPPID_LIB_DIR}/*.so* ${SLIC_LIB_DIR}/*.so* ${COPY_DIR}
 
+# Print list of libs in copy dir.
 echo "$COPY_DIR now contains these shared libraries ..."
-ls $COPY_DIR
+ls $COPY_DIR/*.so*
CVSspam 0.2.8